> For the complete documentation index, see [llms.txt](https://docs.trustlesswork.com/trustless-work/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/usestartdispute.md).

# useStartDispute

Responsible for setting the escrow in dispute state. Changes the value of the escrow's "disputed" flag property to true.

## useStartDispute

Start a dispute. Single-release disputes the whole escrow; multi-release disputes selected milestones.

#### Import

```tsx
import { useStartDispute } from "@trustless-work/escrow";
// or
import { useStartDispute } from "@trustless-work/escrow/hooks/rest";
```

#### Signature

```ts
function useStartDispute(): {
  startDispute: (
    payload: SingleReleaseStartDisputePayload | MultiReleaseStartDisputePayload,
    type: EscrowType,
  ) => Promise<BuildTransactionResponse>;

  /** Multi-release only — batch dispute milestones. */
  disputeMilestones: (
    payload: MultiReleaseStartDisputePayload,
  ) => Promise<BuildTransactionResponse>;
};
```

| Payload                            | Fields                                             |
| ---------------------------------- | -------------------------------------------------- |
| `SingleReleaseStartDisputePayload` | `{ contractId, signer, reason }`                   |
| `MultiReleaseStartDisputePayload`  | `{ contractId, signer, reason, milestoneIndexes }` |

**Returns** `BuildTransactionResponse`: `{ unsignedXdr, txHash }`.

#### Single vs multi

{% tabs %}
{% tab title="single-release" %}

```ts
await startDispute(
  { contractId, signer: address, reason: "Scope mismatch" },
  "single-release",
);
```

{% endtab %}

{% tab title="multi-release" %}

```ts
await startDispute(
  { contractId, signer: address, reason: "Late delivery", milestoneIndexes: [1] },
  "multi-release",
);
// or
await disputeMilestones({
  contractId,
  signer: address,
  reason: "Late delivery",
  milestoneIndexes: [1],
});
```

{% endtab %}
{% endtabs %}

#### Example

```tsx
import {
  useStartDispute,
  useSendTransaction,
  toTrustlessWorkError,
  TrustlessWorkApiError,
  formatApiErrorMessage,
} from "@trustless-work/escrow";

const { startDispute } = useStartDispute();
const { sendTransaction } = useSendTransaction();

const onDispute = async () => {
  try {
    const { unsignedXdr } = await startDispute(
      { contractId, signer: address, reason: "Quality issues" },
      "single-release",
    );
    const signedXdr = await signWithWallet(unsignedXdr);
    return await sendTransaction(signedXdr);
  } catch (error: unknown) {
    const err = toTrustlessWorkError(error);
    if (err instanceof TrustlessWorkApiError) {
      toast.error(formatApiErrorMessage(err));
    }
    throw error;
  }
};
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.trustlesswork.com/trustless-work/v2-en/escrow-react-sdk/escrows/usestartdispute.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
